%define anolis_release 2
%global shortname srtp

Name:		libsrtp
Version:	2.4.2
Release:	%{anolis_release}%{?dist}
Summary:	An implementation of the Secure Real-time Transport Protocol (SRTP)
License:	BSD
URL:		https://github.com/cisco/libsrtp
Source0:	https://github.com/cisco/libsrtp/archive/v%{version}.tar.gz
BuildRequires:	gcc, nss-devel, libpcap-devel
BuildRequires: make

%description
This package provides an implementation of the Secure Real-time
Transport Protocol (SRTP), the Universal Security Transform (UST), and
a supporting cryptographic kernel.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary:	Tools for testing and decoding SRTP
Requires:	%{name} = %{version}-%{release}

%description tools
Tools for testing and decoding SRTP

%prep
%setup -q -n %{name}-%{version}


%build
export CFLAGS="%{optflags} -fPIC"
%configure --enable-nss
make %{?_smp_mflags} shared_library test

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

install -D -p -m 0755 test/rdbx_driver %{buildroot}%{_bindir}/rdbx_driver
install -D -p -m 0755 test/replay_driver %{buildroot}%{_bindir}/replay_driver
install -D -p -m 0755 test/roc_driver %{buildroot}%{_bindir}/roc_driver
install -D -p -m 0755 test/rtp_decoder %{buildroot}%{_bindir}/rtp_decoder
install -D -p -m 0755 test/rtpw %{buildroot}%{_bindir}/rtpw
install -D -p -m 0755 test/srtp_driver %{buildroot}%{_bindir}/srtp_driver
install -D -p -m 0755 test/test_srtp %{buildroot}%{_bindir}/test_srtp

%generate_compatibility_deps

%ldconfig_scriptlets

%files
%dir %{abidir}
%license LICENSE
%{_libdir}/*.so.*
%{abidir}/*.dump

%files doc
%doc CHANGES README.md

%files devel
%{_includedir}/%{shortname}2/
%{_libdir}/pkgconfig/libsrtp2.pc
%{_libdir}/*.so

%files tools
%{_bindir}/*
%{abidir}/*-option.list

%changelog
* Thu Oct 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.4.2-2
- optimise spec file & add doc package

* Fri Apr 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.4.2-1
- Init from upstream version 2.4.2

